LibreOffice: XMasterPasswordHandling2 Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Member Functions | List of all members
XMasterPasswordHandling2 Interface Referencepublished

allows to change the master password, or let it be requested and checked. More...

`import"XMasterPasswordHandling2.idl";`

Inheritance diagram for XMasterPasswordHandling2:

## Public Member Functions
boolean | useDefaultMasterPassword ([in] XInteractionHandler xHandler)
| allows to let the default password be used More...
boolean | isDefaultMasterPasswordUsed ()
| allows to detect whether the default master password is used More...
Public Member Functions inherited from XMasterPasswordHandling
boolean | authorizateWithMasterPassword ([in] XInteractionHandler xHandler)
| allows to check the user authorization. More...
boolean | changeMasterPassword ([in] XInteractionHandler xHandler)
| allows to change the master password. More...
void | removeMasterPassword ()
| let the master password and all the related stored passwords be removed. More...
boolean | hasMasterPassword ()
| allows to detect whether there is already a master password More...
boolean | allowPersistentStoring ([in] boolean bAllow)
| allows to specify whether persistent storing of passwords is allowed More...
boolean | isPersistentStoringAllowed ()
| allows to detect whether persistent storing of passwords is allowed More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to change the master password, or let it be requested and checked.

## Member Function Documentation

## § isDefaultMasterPasswordUsed()

boolean isDefaultMasterPasswordUsed | ( |  | ) |

allows to detect whether the default master password is used

## § useDefaultMasterPassword()

boolean useDefaultMasterPassword | ( | [in] XInteractionHandler | xHandler | ) |

allows to let the default password be used

Please use this method with care. Using of default master password let the passwords be stored non-encrypted. If a master password is predefined in the algorithm it is no more an encryption, it is just an encoding.

The documentation for this interface was generated from the following file:

- com/sun/star/task/XMasterPasswordHandling2.idl